/* You can add global styles to this file, and also import other style files */
/* You can add global styles to this file, and also import other style files */
@import '~@angular/material/prebuilt-themes/indigo-pink.css';


::-webkit-scrollbar {
  width: 5px;
}

::-webkit-scrollbar-track {
  background: #f1f1f1;
}

::-webkit-scrollbar-thumb {
  background: #888;
  border-radius: 2px;
}

::-webkit-scrollbar-thumb:hover {

  background: #555;
}

textarea:hover,
input:hover,
textarea:active,
input:active,
textarea:focus,
input:focus,
button:focus,
button:active,
button:hover,
label:focus,
.btn:active,
.btn.active {
  outline: 0px !important;
  -webkit-appearance: none;
  box-shadow: none !important;
}

.btn-primary,
.btn-primary:focus {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  background: #562A83;
  border-radius: 10px;
  border: 1px solid #562A83;
  font-family: 'BR Firma';
  font-style: normal;
  font-weight: 600;
  font-size: 18px;
  line-height: 23px;
  height: 50px;

  &:hover {
    background: #9D036E;
    border-color: #9D036E;
  }

  &:disabled {
    background: rgba(86, 42, 131, 0.7);
  }
}


.btn-primary-outline {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  border-radius: 10px;
  border: 1px solid #562A83;
  font-family: 'BR Firma';
  font-style: normal;
  font-weight: 600;
  font-size: 18px;
  line-height: 23px;
  height: 50px;
  color: #562A83;

  &:hover {
    // background: white;
    color: white;
    background: #562A83;
  }

  // &:disabled {
  //     background: rgba(86, 42, 131, 0.7);
  // }
}


.is-invalid {
  border: 2px solid red !important;
  border-radius: 5px;
}


.notie-alert {
  z-index: 1200 !important;
}

.notie-container {
  font-size: 0.8rem;
  height: auto;
  /* left: 0; */
  position: fixed;
  text-align: center;
  width: 100%;
  z-index: 2;
  box-sizing: border-box;
  -o-box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.5);
  -ms-box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.5);
  box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.5);
}


.custom-swal {
  height: 250px;
  padding: 30px 50px !important;
}

.swal2-styled.swal2-cancel {
  border: 1px solid gray !important;
  background-color: #fff !important;
  color: #000 !important;
}


@media screen and (max-width: 900px) {
  .notie-container {
    font-size: 0.8rem;
  }
}

@media screen and (max-width: 750px) {
  .notie-container {
    font-size: 0.8rem;
  }
}

@media screen and (max-width: 400px) {
  .notie-container {
    font-size: 0.8rem;
  }
}

.notie-background-success {
  background-color: #20AB68;
}

.notie-background-warning {
  background-color: #FDA61C;
}

.notie-background-error {
  background-color: #E9223F;
}

.notie-background-info {
  background-color: #8673EA;
}

.notie-background-neutral {
  background-color: #A0A0A0;
}

.notie-background-overlay {
  background-color: #fff;
}

.notie-textbox {
  color: #fff;
  padding: 10px 20px;
}

.notie-textbox-inner {
  margin: 0 auto;
  max-width: 900px;
}

.notie-overlay {
  height: 100%;
  left: 0;
  opacity: 0;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 1;
}

.cursor {
  cursor: pointer;
}

.auto-search-button {
  border: 1px solid rgba(121, 135, 161, 0.5) !important;
}

.angle-down,
.angle-up {
  color: rgba(121, 135, 161, 0.5) !important;
  top: 5px !important;
}

.auto-search-container .auto-search-dropdown-list-container ul {
  margin: 0 !important;

  li {
    padding: 10px 10px !important;
  }
}

.iti {
  width: 100%;

  .form-control {
    height: 50px;
    background: #F8F8F8;
    border: 1px solid rgba(121, 135, 161, 0.5);
    border-radius: 5px;
    padding-left: 110px !important;

    &::placeholder {
      font-family: 'BR Firma';
      font-style: normal;
      font-weight: 600;
      font-size: 14px;
      line-height: 15px;
      color: #252525;
      opacity: 0.4;
    }
  }
}

.cke_top.cke_reset_all,
.cke_path {
  display: none !important;
}


.card-desc {
  p {
    font-family: 'BR Firma';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 20px;
    margin-bottom: 10px;
    color: #000000 !important;
  }

}



  .code-input-custom {
    --item-spacing: 0px !important;
    --item-height: 50px !important;
    width: 70% !important;
    input{
      margin-right: 20px !important;
      width: 50px !important;
    }

  }
